Bug 1607706 - [RFE] Add support for --vlanid in Satellite Kickstart Default provisioning template
Summary: [RFE] Add support for --vlanid in Satellite Kickstart Default provisioning te...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.3.2
Hardware: x86_64
OS: Linux
low
low
Target Milestone: 6.8.0
Assignee: Marek Hulan
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 05:46 UTC by Anand Jambhulkar
Modified: 2020-10-27 12:57 UTC (History)
12 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24360 0 Low Resolved Add support for --vlanid in Kickstart Default provisioning template 2020-12-07 12:32:06 UTC
Foreman Issue Tracker 27180 0 Normal Closed Provisioning host using vlan tagging 2020-12-07 12:32:06 UTC
Foreman Issue Tracker 29921 0 Normal Closed VLAN kickstart default syntax is swapped 2020-12-07 12:32:05 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:57:42 UTC

Description Anand Jambhulkar 2018-07-24 05:46:18 UTC
[RFE] Add support for --vlanid in Satellite Kickstart Default provisioning template


Q1 - What is the exact nature of the problem trying to be solved with this request?

A1 - Booting with with VLAN support


Q2 - List the business requirements.

A2 - Some hypervisors and bare metal servers in our environments have vlan tagged provisioning interface. Without this RFE we cannot properly provision them with the default template. 


Q3 - Do you have specific timeline dependencies?

A3 - No


Q4 - Can you please explain us the what are the functional requirements? If test cases can be provided this would be even more ideal.

A4 - Just configure a server with VLAN tagged interface and try to provision.


Q5 - Would you be able to assist in testing this functionality if implemented?

A5 - Yes


The customer has implemented this already in their environment in the following way -

network --bootproto <%= dhcp ? 'dhcp' : "static --ip=#{@host.ip} --netmask=#{subnet.mask} --gateway=#{subnet.gateway} --nameserver=#{[subnet.dns_primary, subnet.dns_secondary].select{ |item| item.present? }.join(',')}" %> --hostname <%= @host %><%= os_major >= 6 ? " --device=#{@host.mac}" : '' -%><%= !@host.provision_interface.try('vlanid').blank? ? " --vlanid #{@host.provision_interface.vlanid}" : '' %>

Comment 1 Marek Hulan 2018-07-24 06:42:08 UTC
Created redmine issue https://projects.theforeman.org/issues/24360 from this bug

Comment 3 Marek Hulan 2018-07-24 06:58:40 UTC
I sent PR upstream, note that the customer snippet should use primary interface instead of provisioning, because all the rest on the line is using primary one. We only use provisioning interface to configure PXE boot, OS installer uses primary one. Otherwise the snippet works fine. For our version of the fix, see https://github.com/theforeman/community-templates/pull/495

Comment 5 pm-sat@redhat.com 2018-07-24 08:16:14 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2018-07-24 08:16:17 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Bryan Kearney 2019-12-02 15:06:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24360 has been resolved.

Comment 16 Bryan Kearney 2020-05-26 12:02:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24360 has been resolved.

Comment 17 Bryan Kearney 2020-05-26 20:02:38 UTC
Upstream bug assigned to lzap@redhat.com

Comment 18 Bryan Kearney 2020-05-26 20:02:40 UTC
Upstream bug assigned to lzap@redhat.com

Comment 19 Bryan Kearney 2020-05-31 08:02:29 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 20 Bryan Kearney 2020-05-31 08:02:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24360 has been resolved.

Comment 21 Evgeni Golov 2020-06-15 13:31:29 UTC
that's in 2.1 rc2

Comment 25 errata-xmlrpc 2020-10-27 12:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.